#include "GrasslandBiom.h"
#include "BlockType.h"
#include "BasicBlocks.h"

GrasslandBiom::GrasslandBiom()
    : GrasslandBiom( 1, 1, 1, 1, 1, 1 )
{}

GrasslandBiom::GrasslandBiom( double biomXMultiplier, double biomYMultiplier, double biomOutputMultiplier, double airXMultiplier, double airYMultiplier, double airOutputMultiplier )
    : BiomGenerator()
{
    this->biomXMultiplier = biomXMultiplier;
    this->biomYMultiplier = biomYMultiplier;
    this->biomOutputMultiplier = biomOutputMultiplier;
    this->airXMultiplier = airXMultiplier;
    this->airYMultiplier = airYMultiplier;
    this->airOutputMultiplier = airOutputMultiplier;
}

Framework::Either<Block*, int> GrasslandBiom::getBlock( Noise* zNoise, int x, int y, int z, Game* zGame )
{
    return DirtBlockType::ID;
}